<?xml version="1.0" encoding="utf-16"?>
<MyMPConfig xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <!-- Global information for this movie provider -->
  <Name>IMDB</Name>
  <HomePage>
	www.imdb.com
  </HomePage>
  <Language>English</Language>
  <Author>Dolu (modified by TeHashiX)</Author>
  <Version>1.0</Version>
  <!-- Indicates support for data retrieval -->
  <SupportsCastAndDirector>true</SupportsCastAndDirector>
  <SupportsCover>true</SupportsCover>
  <SupportsPlot>true</SupportsPlot>
  <SupportsRating>true</SupportsRating>
  <!-- List of urls to search for movie (you can set only one or add as many as you want) -->
  <!-- Enabled = true or false (allow to temporarely disable an url without remove from configuration file) -->
  <!-- Url = {0} will be replaced by the title of the movie  -->
  <!-- RegExp = regular expression used to parse result list, should return 'link' and 'title' within one regexp -->
  <!-- MoviePlotLink = will try to get plot of the movie from those urls (in that particular order), and will stop as soon as it gets one -->
  <!--                 should at least contains one value. -->
  <!-- MaxResult = will stop movie retrieval with this url after it finds this number of movie -->
  <!-- NextPage = reserved (leave empty for now) -->
  <SearchUrls>
    <Search>
      <Enabled>true</Enabled>
      <Url>http://www.imdb.com/find?s=tt&amp;q={0}&amp;x=0&amp;y=0</Url>
      <RegExp>/title_(?:exact|substring|popular)/.*?link=/(?&lt;Link&gt;title/tt[^&lt;]*?)/';"&gt;(?&lt;Title&gt;[^&lt;].*?)&lt;/a&gt;</RegExp>
      <MoviePlotLink>
        <string>http://www.imdb.com/{0}</string>
        <string>http://www.imdb.com/{0}/plotsummary</string>
        <string>http://www.imdb.com/{0}/synopsis</string>
      </MoviePlotLink>
      <MaxResult>10</MaxResult>
      <NextPage></NextPage>
    </Search>
  </SearchUrls>
  <!-- MaxResult = global limitation for number of movie results -->
  <MaxResult>10</MaxResult>
  <!-- Regular expressions to find Title, Original Title, Year and Runtime -->
  <RegExp_Title>&lt;title&gt;(?&lt;1&gt;.*?).\(\d{4}\)</RegExp_Title>
  <RegExp_OriginalTitle></RegExp_OriginalTitle>
  <RegExp_Year>&lt;title&gt;.*\((?&lt;1&gt;.*?)\)</RegExp_Year>
  <RegExp_Runtime>(?&lt;1&gt;\d{1,3})\smin</RegExp_Runtime>
  <!-- Regular expressions to look for plot -->
  <!-- options allow to remove specials characters before using regexp -->
  <ReplaceLFbySpaceBeforeRegExpPlot>false</ReplaceLFbySpaceBeforeRegExpPlot>
  <ReplaceCRbySpaceBeforeRegExpPlot>false</ReplaceCRbySpaceBeforeRegExpPlot>
  <ReplaceTBbySpaceBeforeRegExpPlot>false</ReplaceTBbySpaceBeforeRegExpPlot>
  <RegExp_Plot>&lt;p\sclass=.plotpar.&gt;[\t\n\r\v\f]*(?&lt;1&gt;.*?)[\t\n\r\v\f]</RegExp_Plot>
  <!-- Regular expressions to look for genres, directors and actors -->
  <!-- standard regexp have to catch the whole string defining all genres, actors or directors (with coma separator) -->
  <!-- if your regexp catches results one by one, you have to set the tag 'Genres_MultipleMatches' to true -->
  <Genres_MultipleMatches>true</Genres_MultipleMatches>
  <RegExp_Genres>/Sections/Genres/.*?/"&gt;(?&lt;1&gt;.*?)&lt;/a</RegExp_Genres>
  <Directors_Separator>, </Directors_Separator>
  <RegExp_Directors>h.&gt;Director(?:[\s\t\n\r\v\f]|.)*?/name/nm.*?/';"&gt;(?&lt;1&gt;.*?&lt;/a&gt;(?:\s|\t|\n|\r|\v|\f|.)*?)(?:&lt;a.class.*?more|&lt;/div)</RegExp_Directors>
  <Actors_MultipleMatches>true</Actors_MultipleMatches>
  <RegExp_Actors>"nm".*?/name/.*?"&gt;(?&lt;1&gt;.*?)&lt;/a&gt;</RegExp_Actors>
  <!-- Regular expressions to look for cover -->
  <!-- RegExp_CoverLinkFront = regexp used on movie page -->
  <!-- RegExp_CoverUrl = used to look for a "galery" url on movie page -->
  <!-- RegExp_HowGotoCoverUrl = regexp to construct and follow "galery" link -->
  <!-- RegExp_CoverLinkFront2 = regexp to extract cover link from "galery" page -->
  <RegExp_CoverLinkFront>&lt;a\sname="poster".*src="(?&lt;1&gt;.*)".*&lt;/a&gt;</RegExp_CoverLinkFront>
  <RegExp_CoverUrl>&lt;a\sname="poster"\shref="(?&lt;1&gt;.*?)"</RegExp_CoverUrl>
  <RegExp_HowGotoCoverUrl>http://www.imdb.com{0}</RegExp_HowGotoCoverUrl>
  <RegExp_CoverLinkFront2>&lt;img.*src="(?&lt;1&gt;.*)".*onmousedown="return\sfalse;"\sonmousemove="return\sfalse;"</RegExp_CoverLinkFront2>
  <!-- Regular expressions to find Rating, it stops after it finds one non empty result (done in that order) -->
  <!-- tvixie uses a 10-base for rating, you can set rate coefficient if the website uses another base -->
  <RegExp_Rating>
    <string>meta"(?:[\s\t\n\r\v\f]|.)*?&lt;.*?&gt;(?&lt;1&gt;.*?)[/|(]</string>
  </RegExp_Rating>
  <RatingRate>1</RatingRate>
  <!-- Encoding used to send Title, and to read HTML pages -->
  <TitleEncoding>Default</TitleEncoding>
  <ContentEncoding>Default</ContentEncoding>
</MyMPConfig>